Bug 1417268 - Review Request: solo3 - Radial data viewer
Summary: Review Request: solo3 - Radial data viewer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 18:06 UTC by Rex Dieter
Modified: 2017-02-15 17:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 17:46:58 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2017-01-27 18:06:07 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/solo3/solo3.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/solo3/solo3-20160613-1.centos7.src.rpm
Description: C++ version of solo radial data viewer. Includes xltrs3 data translation utility.

Fedora Account System Username: rdieter

Scratch build: (epel7)
https://koji.fedoraproject.org/koji/taskinfo?taskID=17441531

This package is intended to be for epel7.  At least initially, maybe at some later date I can work to make it fedora compatible too.

Comment 1 Christian Dersch 2017-01-30 17:32:57 UTC
Approved, would be nice to see that in Fedora at some point too :) Single small issue: summary has too long line, please fix that on import


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 614 files have unknown license.
     Detailed output of licensecheck in
     /home/review/1417268-solo3/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     solo3-devel , solo3-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: solo3-20160613-1.el7.centos.x86_64.rpm
          solo3-devel-20160613-1.el7.centos.x86_64.rpm
          solo3-debuginfo-20160613-1.el7.centos.x86_64.rpm
          solo3-20160613-1.el7.centos.src.rpm
solo3.x86_64: E: description-line-too-long C C++ version of solo radial data viewer. Includes xltrs3 data translation utility.
solo3.x86_64: W: incoherent-version-in-changelog 20160613-1 ['20160613-1.el7.centos', '20160613-1.centos']
solo3.x86_64: W: no-manual-page-for-binary solo3
solo3.x86_64: W: no-manual-page-for-binary nx_reblock3
solo3.x86_64: W: no-manual-page-for-binary xltrs3
solo3.x86_64: W: no-manual-page-for-binary ddex3
solo3-devel.x86_64: W: no-documentation
solo3.src: E: description-line-too-long C C++ version of solo radial data viewer. Includes xltrs3 data translation utility.
4 packages and 0 specfiles checked; 2 errors, 6 warnings.

===> Please modify your description (max length per line 80)



Rpmlint (debuginfo)
-------------------
Checking: solo3-debuginfo-20160613-1.el7.centos.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
solo3.x86_64: E: description-line-too-long C C++ version of solo radial data viewer. Includes xltrs3 data translation utility.
solo3.x86_64: W: incoherent-version-in-changelog 20160613-1 ['20160613-1.el7.centos', '20160613-1.centos']
solo3.x86_64: W: no-manual-page-for-binary solo3
solo3.x86_64: W: no-manual-page-for-binary xltrs3
solo3.x86_64: W: no-manual-page-for-binary ddex3
solo3.x86_64: W: no-manual-page-for-binary nx_reblock3
solo3-devel.x86_64: W: no-documentation
solo3-debuginfo.x86_64: W: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 1 errors, 7 warnings.



Requires
--------
solo3 (rpmlib, GLIBC filtered):
    libatk-1.0.so.0()(64bit)
    libatkmm-1.6.so.1()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcairomm-1.0.so.1()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgdkmm-2.4.so.1()(64bit)
    libgio-2.0.so.0()(64bit)
    libgiomm-2.4.so.1()(64bit)
    libglib-2.0.so.0()(64bit)
    libglibmm-2.4.so.1()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgtkmm-2.4.so.1()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpangomm-1.4.so.1()(64bit)
    libpthread.so.0()(64bit)
    libsigc-2.0.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

solo3-devel (rpmlib, GLIBC filtered):
    solo3

solo3-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
solo3:
    solo3
    solo3(x86-64)

solo3-devel:
    solo3-devel
    solo3-devel(x86-64)

solo3-debuginfo:
    solo3-debuginfo
    solo3-debuginfo(x86-64)



Source checksums
----------------
https://www.eol.ucar.edu/system/files/software/solo3/all-oss/solo3-20160613.src_.tgz :
  CHECKSUM(SHA256) this package     : 98f6bcd6df998426f41346f7d9b848901ceee9911608b864182ee5e068300c1c
  CHECKSUM(SHA256) upstream package : 98f6bcd6df998426f41346f7d9b848901ceee9911608b864182ee5e068300c1c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m epel-7-x86_64 -b 1417268
Buildroot used: epel-7-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL

Comment 2 Christian Dersch 2017-01-30 17:33:59 UTC
description has too long line, not summary

Comment 3 Gwyn Ciesla 2017-01-30 18:26:31 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/solo3

Comment 4 Rex Dieter 2017-01-30 19:22:10 UTC
imported, thanks.

Comment 5 Fedora Update System 2017-01-30 20:07:16 UTC
solo3-20160613-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-15a33aa336

Comment 6 Fedora Update System 2017-01-31 02:48:03 UTC
solo3-20160613-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-15a33aa336

Comment 7 Fedora Update System 2017-02-15 17:46:58 UTC
solo3-20160613-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.